module.exports = {
    "env": {
      "node": true,
      "browser": true,
      "es2021": true,
      "es6": true,
      "jquery": true
    },
    "globals": {
      "Vue": "readonly",
      "io": "readonly"
    },
    "extends": [
        "eslint:recommended",
        "plugin:vue/essential"
    ],
    "parserOptions": {
        "ecmaVersion": 12,
        "sourceType": "module"
    },
    "plugins": [
      "vue",
    ],
    "rules": {
        "quotes": ["warn", "double"],
        "no-unused-vars": "off"
    }
};
