module.exports = {
  // 模板存储仓库名称
  name: "gy-element-admin",
  remote: "http://192.168.1.64:8010/zhoufy/gy-element-admin/raw/master/src",

  // 远程模板仓库，第一个为默认模板
  // 远程路径规则有三个:号
  remotePresetMap: {
    "gy-element-admin": "gitlab:http://192.168.1.64:8010:zhoufy/gy-element-admin",
    "基于国源地图的H5采集项目模版": "gitlab:http://192.168.1.64:8010:hn-web/collection-demo-h5",
    "带地图的Web演示大屏模版": "gitlab:http://192.168.1.64:8010:hn-web/agriculture-screen"
  },

  // 模板组件文件，第一个为默认模板组件
  // value 的值应保持唯一性
  // value 的值为远程仓库components中的文件目录，files为value值目录中的文件
  templateList: [
    { name: "基础无内容模板------base", value: "base", files: ["base.vue"] },
    { name: "基础表单模板--------form", value: "form", files: ["form.vue"] },
    { name: "404组件------------NotFound", value: "NotFound", files: ["NotFound.vue"] },
    { name: "500组件------------Error", value: "Error", files: ["Error.vue"] },
    { name: "验证码倒计时组件----Countdown", value: "Countdown", files: ["Countdown.vue"] },
    { name: "测试下载用组件------actions", value: "actions", files: ["index.vue", "index.js"] }
  ]
}
