"use strict"
const { addComponent } = require("./actions/addComponent")

/**
 * 操作
 * @param {*} req 请求参数
 */
module.exports = async function (query, cwd) {
  let { fileName } = query
  for (let key of Object.keys(query)) {
    if (!query[key]) {
      return {
        code: 500,
        message: `参数${key}不存在或错误`
      }
    }
  }
  try {
    let result = await addComponent(query, fileName, cwd)
    return result
  } catch (error) {
    return {
      code: 500,
      message: error
    }
  }
}
